/*
 * Copyright 2006 Abdulla G. Abdurakhmanov (abdulla.abdurakhmanov@gmail.com).
 * 
 * Licensed under the LGPL, Version 2 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.gnu.org/copyleft/lgpl.html
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * With any your questions welcome to my e-mail 
 * or blog at http://abdulla-a.blogspot.com.
 */

using System;
using org.lineargs;

namespace org.lineargs.examples
{
    /**
     * HelloWorld LineArgs example
     */
    public class HelloWorld {

        public HelloWorld() {
        }
        
        public void doIt(string[] args) {
            try {
                LineArgsParser parser = new LineArgsParser();
                if(args.Length == 0) {
                    System.IO.TextWriter writer = new System.IO.StringWriter();
                    parser.printHelp<HelloWorldArguments>(writer);
                    System.Console.WriteLine(writer.ToString());
                }
                else {
                    HelloWorldArguments hw =  parser.parse<HelloWorldArguments>(args);
                    System.Console.WriteLine("Ok... All mandatory options is filled. Thank you!");
                }
            }
            catch(Exception ex) {
                System.Console.WriteLine("Error! "+ex.Message);
            }
            
        }
        
        public static void Main(string[] args) {
            new HelloWorld().doIt(args);
        }
    }
}