/*
 * Copyright 2006 Abdulla G. Abdurakhmanov (abdulla.abdurakhmanov@gmail.com).
 * 
 * Licensed under the LGPL, Version 2 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.gnu.org/copyleft/lgpl.html
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * With any your questions welcome to my e-mail 
 * or blog at http://abdulla-a.blogspot.com.
 */

package org.lineargs.examples;

import java.util.Collection;

import org.lineargs.*;

/**
 * HelloWorld LineArgs example
 */
public class HelloWorld {

    public HelloWorld() {
    }
    
    public void doIt(String args[]) {
        try {
            LineArgsParser parser = new LineArgsParser();
            if(args.length == 0) {        
                parser.printHelp(HelloWorldArguments.class,System.out);
            }
            else {
                HelloWorldArguments hw =  parser.parse(HelloWorldArguments.class,args);
                System.out.println("Ok... All mandatory options is filled. Thank you!");
            }
        }
        catch(Exception ex) {
            System.err.println("Error! "+ex.getMessage());
        }
        
    }
    
    public static void main(String args[]) {
        new HelloWorld().doIt(args);
    }
}

 /** @example HelloWorld.java
  * This is an example of how to use LineArgs library.
  */
